svn-buildpackage (0.8.10) unstable; urgency=medium

  * QA upload.
  * Remove reference to removed "cdbs-edit-patch".

 -- Alexandre Detiste <tchet@debian.org>  Fri, 28 Mar 2025 09:54:38 +0100

svn-buildpackage (0.8.9) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 3.9.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Adjusted POT file to use UTF-8 by default.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 04 Dec 2024 16:46:07 +0100

svn-buildpackage (0.8.8) unstable; urgency=medium

  * QA upload.
  * d/copyright: Convert to machine-readable format.
  * Switch to 3.0 source format (Closes: #1007498).
  * Drop outdated URLs.

 -- Bastian Germann <bage@debian.org>  Mon, 17 Oct 2022 23:14:25 +0200

svn-buildpackage (0.8.7) unstable; urgency=medium

  * QA upload.
  * Include and use a copy of the ancient po4a-build script. (Closes: #906412)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Sep 2018 15:37:01 +0200

svn-buildpackage (0.8.6) unstable; urgency=low

  [ Andreas Beckmann ]
  * QA upload.
  * Set Maintainer to Debian QA Group.  (See #726770)
  * Fix support for more than two upstream tarballs, thanks to Robert Luberda
    and Mathieu Parent.  (Closes: #585658)
  * Fix bad error message if tarballs directory is missing, thanks to
    Jakub Wilk.  (Closes: #659179)
  * Update Vcs-* and Homepage URLs.

  [ Eduard Bloch ]
  * Fix_ formatting of lookup info messages
  * Act more smart when acting from branches/* subdirectories

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Jul 2016 14:24:53 +0200

svn-buildpackage (0.8.5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * [INTL:de] Add German documentation translation. (Closes: #712077)
  * [INTL:de] Add German runtime translation. (Closes: #700886)

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 29 Sep 2014 21:19:25 +0200

svn-buildpackage (0.8.5) unstable; urgency=low

  * Let svn-inject -o change to the new directory after
    moving it. (Closes: #678845)
  * Let svn-do check `svn info` instead of relying on the
    old .svn directory. (Closes: #678203)

 -- Neil Williams <codehelp@debian.org>  Thu, 05 Jul 2012 20:09:55 +0100

svn-buildpackage (0.8.4) unstable; urgency=low

  [ Neil Williams ]
  * [INTL:pt] Updated Portuguese translation for manpage
    (Closes: #606912)
  * [INTL:da] Danish translation of svn-buildpackage (Closes: #625479)

  [ Jan Hauke Rahm ]
  * Implement support for xz tarballs. Thanks Sjoerd Simons <sjoerd@luon.net>
    (Closes: #637900, #388567)
  * Don't repack bzip2 or xz tarballs. Thanks Robert Luberda
    <robert@debian.org> (Closes: #617964)
  * Search for bz2 and xz tarballs in ../tarballs, too (when origDir is not
    set) (Closes: #592339)
  * Don't translate commit message when retagging (Closes: #638909)
  * Remove ancient Conflicts/Replaces svn-devscripts; it's gone since 2005
  * Allow file locks when building a package (Closes: 597192)
  * Apapt recent alioth changes regarding VCS location
  * Add support for xz in svn-inject, too
  * Fix recognition of xz tarballs in svn-upgrade

 -- Jan Hauke Rahm <jhr@debian.org>  Wed, 19 Oct 2011 17:57:27 +0200

svn-buildpackage (0.8.3) unstable; urgency=low

  * [INTL:vi] Vietnamese program translation update (Closes: #598478)

 -- Neil Williams <codehelp@debian.org>  Wed, 29 Sep 2010 17:15:25 +0100

svn-buildpackage (0.8.2) unstable; urgency=low

  * Document an example of svn-do with 3.0 quilt in the
    HOWTO guide.
  * Add para markers inside listitem sections in XML docs
    to ensure strings are identified for translation. (Closes: #592756)
  * [INTL:fr] French documentation translation (Closes: #594442)
  * [INTL:fr] French program output translation (Closes: #596350)

 -- Neil Williams <codehelp@debian.org>  Fri, 10 Sep 2010 19:18:20 +0100

svn-buildpackage (0.8.1) unstable; urgency=low

  [ Neil Williams ]
  * svn-do: Fix check for incoming command to executing $SHELL
    if no command given. (Closes: #578112)
  * svn-do: Call /bin/sh instead of /bin/bash for a default
    shell. (Closes: #578111)
  * svn-buildpackage: chdir before tagging curdir, thanks Tobias Grimm
    <tobias.grimm@e-tobi.net> (Closes: #579803)
  * svn-do: remove bashism in OUR_OPTS (Closes: #581006)

  [ Jan Hauke Rahm ]
  * [svn-buildpackage: Tag without -rBASE (Closes: #580545)

  [ Neil Williams ]
  * Ensure svn-tag and svn-tag-only use the same code.
  * Display Tagging as the translation but do not commit the
    translated string. (Closes: #578700)
  * svn-inject: add --tag option and add version numbers
    of injected packages to commit messages (Closes: #575616)
  * Pass --svn-arch down to dpkg-buildpackage when set.
  * Detect fakeroot before calling debian/rules clean (Closes: #583740)
  * Detect pdebuild and no longer pretend svn-bp knows where pdebuild
    has put the results of the build.

 -- Neil Williams <codehelp@debian.org>  Sun, 30 May 2010 23:10:49 +0100

svn-buildpackage (0.8.0) unstable; urgency=low

  [ Neil Williams ]
  * [l10n] Add French program messages translation. (Closes: #569615)
  * Add revision number to environment for packages that want to access
    it easily.
  * Fix interpolation of all output strings. (Closes: #573559)
  * [doc]: Add pdebuild example alias to HOWTO (Closes: #550050)
  * Output origDir variable, if defined but not found. (Closes: #571789)
  * Add arbitrary options to svn-do and make output more verbose.
    (Closes: #549605)

  [ Jan Hauke Rahm ]
  * Implement support for Debian source package format 3.0 (incl. bz2 and lzma
    compression) at least for svn-buildpackage and svn-inject. Thanks to
    Raphael Hertzog <hertzog@debian.org> (Closes: #388567)
  * Remove Eddy Petrișor from uploaders list. Thanks a lot for
    your contributions!
  * Set alioth mailing list as maintainer
  * Always (--svn-tag and --svn-only-tag) tag BASE instead of HEAD but trigger
    a fat warning about it if BASE differs from HEAD (Closes: #535177)

 -- Jan Hauke Rahm <jhr@debian.org>  Wed, 07 Apr 2010 14:36:46 +0200

svn-buildpackage (0.7.1) unstable; urgency=low

  * Add dependency on liblocale-gettext-perl to support the
    program output translations. (Closes: #560095)
  * Add support for source tarballs using .tar.bz2 if also using
    source format 3.0
  * Document support for source format 3.0 and .orig.tar.bz2 in HOWTO.
  * Add homepage at alioth.
  * Add intltool in build-deps (Closes: #562044)
  * Add EXAMPLES section to svn-buildpackage man page. (Closes: #351355)

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Dec 2009 11:47:32 +0000

svn-buildpackage (0.7.0) unstable; urgency=low

  [ Neil Williams ]
  * Add useNativeDist property support for generated
    files in native packages.
  * Replace old docs build config with translatable documentation and
    build-depend on po4a.
  * Add support for translating the script output.
  * Recommend debhelper for svn-do support. (Closes: #549560)
  * svn-do needs to use copies instead of hard links and use
    --svn-ignore. (Closes: #549568)
  * [INTL:vi] Vietnamese program translation (Closes: #549931)
  * [INTL:pt] Initial Portuguese program translation (Closes: #553434)

  [ Ryan Niebur ]
  * update my email address, I am now a DD

  [ Neil Williams ]
  * Improve flexibility of genmanpages - changes from emdebian-rootfs.
  * Switch to po4a-build from po4a 0.37.1 instead of our local copy.

 -- Neil Williams <codehelp@debian.org>  Tue, 24 Nov 2009 08:20:13 +0000

svn-buildpackage (0.6.29) unstable; urgency=low

  * undo the attempt to use .@BASE, it messed things up and I did it
    wrong anyways (Closes: 547582)

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 24 Sep 2009 06:59:59 -0700

svn-buildpackage (0.6.28) unstable; urgency=low

  [ Ryan Niebur ]
  * use uscan's new --download-current-version option
  * fix svn-bp when there's no origDir (closes: 543988)
  * tag .@BASE instead of trunkUrl (Closes: #535177)

  [ Neil Williams ]
  * Add support for translating the manpages.

 -- Neil Williams <codehelp@debian.org>  Fri, 18 Sep 2009 20:09:23 +0100

svn-buildpackage (0.6.27) unstable; urgency=low

  [ Ryan Niebur ]
  * add an option to the user to ignore the new version going backwards.
  * move the svn up to earlier in the code to fix a bug

 -- Neil Williams <codehelp@debian.org>  Sun, 23 Aug 2009 10:13:20 +0100

svn-buildpackage (0.6.26) unstable; urgency=low

  [ Ryan Niebur ]
  * if the tarball was downloaded by svn-upgrade's invocation of uscan,
    remove it on exit (Closes: #531197)
  * if the svn repository is being accessed over ssh, set up a single
    ssh connection with an ssh control socket to use throughout the
    entire run. This has several advantages. If you are using password
    authentication, you will now only need to enter your password once,
    instead of many times. This also makes things a *lot* faster.
  * allow setting paths relative to the repository root in svn-bp props
    (Closes: #415258)
  * if they try to svn-upgrade on the tarball that's already in the
    tarballs directory, don't error because it already exists
  * move the override stuff into SDCommon (Closes: #532239)
  * fix --svn-savecfg with --svn-verbose
  * allow --svn-savecfg to be used with --svn-override, obviously that's
    something that people want to do (based on bug #532239)
  * fix downloading the tarball during build
  * svn-upgrade: svn up before doing anything
  * don't allow svn-upgrading to something that has already been tagged
    (Closes: #532832)
  * add a setprops option (Closes: #534909)
  * Debian Policy 3.8.2
  * fix detecting of source builds (Closes: #535614)
  * check that the opened changes file is actually a file, and not a
    directory (in the event it failed to detect).  don't run lintian if
    a .changes file wasn't sucessfully found.
  * don't die if the tarball can't be found with --svn-download-orig
  * don't mention binaries if there aren't any

  [ Neil Williams ]
  * SDCommon.pm (readLayoutProps): only use repo_root for a Url property
    (like tagsUrl).

 -- Neil Williams <codehelp@debian.org>  Mon, 06 Jul 2009 18:55:32 +0100

svn-buildpackage (0.6.25) unstable; urgency=low

  [ Neil Williams ]
  * Change Section to vcs, matching archive override.
  * Add Hauke to Uploaders (meant to do that in 0.6.24)

  [ Ryan Niebur ]
  * svn-upgrade: return 1 when there's an error (Closes: #528135)
  * fix bashism in svn-do (Closes: #530196)
  * svn-{inject,upgrade}: if the .orig.tar.gz is a symlink, handle
    copying it into the tarballs directory correctly (Closes: #449306)
  * update ENV{PWD} when changing directories (Closes: #474014)
  * add a --uscan option to svn-upgrade, to call uscan to download the
    new tarball (Closes: #367460)
  * when creating a new directory, add [svn-foobar] to the beginning of
    the commit message
  * fix detection of if the tempdir allows execution
  * only tell the user that URLs are being saved if --svn-savecfg is
    passed (Closes: #515531)
  * document that the prebuild and postbuild hooks replace some of svn-
    buildpackage's normal behavior (Closes: #432147)
  * fix rm command in clean target, doc/HOWTO.html is a directory
  * fix uninitialized value when mergeWithUpstream is used and origDir
    doesn't exist (Closes: #429465)
  * fix the tar command when using mergeWithUpstream
  * check return code of chdir (first half of #441184)
  * change the output when telling the user where the source code is
    checked out to be more clear (Closes: #441184)
  * add an --svn-download-orig option to svn-buildpackage, to make it
    try to download the tarball with apt, and if that doesn't work, try
    uscan (Closes: #480688)
  * add --debclean option to svn-upgrade to run debclean before merging
    the new upstream source. this will prevent merge conflicts if a
    patch system is being used.
  * Remove any extra --svn-* options from argv before running the builder.
    This bug only happened when there was an option to svn-{inject,upgrade}
    set in ~/.svn-buildpackage.conf that svn-buildpackage does not recognize.
  * fix determining the .changes file when you do a 'normal' binary
    build and then a source only build (Closes: #514942)
  * add svnpath-like detection of some paths (Closes: #433532)
  * fix tag version if there's no epoch
  * fix some uninitialized value warnings in svn-upgrade
  * remove the --noautodch option from svn-upgrade
  * a few more improvements to debian/rules
  * svn-upgrade: use File::LibMagic to determine the file type instead
    of using /usr/bin/file

  [ Jan Hauke Rahm ]
  * Correct file permissions in build dir the same way dpkg-source does
    (Closes: #473903, #457103)
  * svn-upgrade: Allow '-v' in new tar.gz name (e.g. package-v1.0.tar.gz)
    (Closes: #471118)
  * svn-inject: Abort if source package format is different to 1.0. We cannot
    handle compressions different to gz, or multiple orig tarballs...
  * svn-buildpackage: tag full versions with epoch (Closes: #469684)
  * svn-upgrade: New option (-e, --auto-epoch) to automatically increase epoch
    if new upstream version is lower than current. (Closes: #417935)
  * debian/rules: switch to debhelper 7 and clean up
  * svn-buildpackage: Corrected error message (svn-upgrade doesn't set "NOT
    RELEASED YET" any more)
  * debian/control: updated description to mention every binary that's
    installed in /usr/bin (i.e. added svn-do and uclean)

  [ Neil Williams ]
  * Migrate manpage/manual generation from SGML to DocBook XML. Drop PDF
    version of the manual.
  * Add default values for options in each manpage. (Closes: #473281)
  * put bash completion file into place directly, using install file.
  * Update copyright with recent contributors. Remove extra debian/clean
    target - done via Makefile.
  * Obtain SDCommon::version at runtime via dpkg-query instead of
    altering SDCommon.pm at build time.

 -- Neil Williams <codehelp@debian.org>  Fri, 29 May 2009 11:44:47 +0100

svn-buildpackage (0.6.24) unstable; urgency=low

  [ Eduard Bloch ]
  * Changed detection for tarball contents without root directory to identify
    single files, even if mixed with symlinks
  * Use $(MAKE) in Makefile, avoid jobserver warnings with -j

  [ Eddy Petrișor ]
  * updated TODO list
    - removed irrelevant/obsolete entries
    - s-u should be smart wrt origUrl
  * register the howto documents with doc-base (Closes: #451652)
    - added postinst and prerm maintainer scripts as a consequence
  * install svn-do in /usr/bin to be avilable by default; thanks Sean Finney
    for the suggestion (Closes: #464840)
  * svn-inject no longer creates an invalid test file (Closes: 467614)

  [ Damyan Ivanov ]
  * svn-upgrade: Drop "(NOT RELEASED YET)" from the created changelog entry.
    Closes: #487648
  * Move all of build-dependencies except debhelper from D-B to D-B-I
    + replace obsolete tetex-extra with texlive
  * Replace build-dependency on transitional gd-gpl|gs packages with
    ghostscript
  * Fix typo in doc/svn-buildpackage-howto, thanks lintian
  * Change svn-build-package-howto section from non-existent
    Apps/Programming to Debian

  [ Eddy Petrișor ]
  * improved copyright file

  [ Jan Hauke Rahm ]
  * When files are ignored due to subversion ignore patterns the user gets
    prompted to skip or import those files; in noninteractive mode those files
    are automatically skiped unless '--ignored-files-action=import' (only in
    svn-upgrade) is set. (Closes: #504233)
  * Dropping support for linda (Closes: #502653)
  * Correcting typo in svn-buildpackage (Closes: #506426)
  * Let svn-buildpackage not complain about unresolved issues when it's just
    about svn:externals (Closes: #363003, #422342)
  * svn-inject properly tests for executable tempfile (actually closes:
    467614)
  * s-i: return from del_unref if files hash is empty (Closes: #506876,
    #511691)
  * s-b: handle tagsUrl override correctly and don't print nonsense warnings
    (Closes: #480684, #414564)

  [ Eddy Petrișor ]
  * Added a helper script to ease up installation of the build-deps of
    the current source package (Closes: #506965)
  * drop option dbgsdcommon in favour of using $SVNBPPERLLIB for easier
    support for testing and debugging; since this option was hidden, no
    safety nets were provided for the drop
  * fix a bug that prevented execution of shell commands when the hidden
    option ignoreerrors was used; this option is still hidden since is
    not actually working as it should be and will be rethought
  * don't pretend a all commands fail in unknown directories;
    properly fixed #419005 in the way I initially proposed, since the
    way Gonéri proposed was broken in several ways (and I copied that
    without checking) correctly closes: #419005 instead of hiding it
  * add --svn-arch option, thanks to Julien Valroff (Closes: #527302)

  [ Neil Williams ]
  * New maintainer. (Closes: #528733: ITA: svn-buildpackage -- helper
    programs to maintain Debian packages with Subversion)
  * Taking over maintenance, thanks to Eduard Bloch and Eddy Petrișor
    for all their work.
  * Bump compat to 5.
  * Remove bad install rule that resulted in dpkg-getbdeps being made
    into a directory. Use dh_install and install file instead. Fixes
    lintian warning.
  * remove unneeded postinst and prerm as install-docs is handled by
    triggers. Lintian warning.
  * Update standards version (no changes)
  * move dpkg-getbdeps into /usr/share/ as a snippet - not worth
    having in bin/ at this time.
  * Rename debian/NEWS.Debian to debian/NEWS to let it be found by
    dh_installchangelogs (Closes: #516051)
  * Tidy up the build process using the install and dirs files for more
    operations.
  * Let svn-do expose errors returned by svn-buildpackage. Patch from
   Ludovic Rousseau. (Closes: #486819)
  * Add new option: "--svn-moved-to" for build results elsewhere"
    Patch from sean finney. (Closes: #431898)
  * contrib/svn-do : Clarified licence with Loic - use MIT.
  * Modified patch from Ubuntu to ignore empty files with non-zero
    length.
  * Rewrite copyright and add full copyright notices to scripts.
  * Add a basic manpage for svn-do.
  * Add Eddy and Ryan as Uploaders.

 -- Neil Williams <codehelp@debian.org>  Mon, 18 May 2009 07:48:15 +0100

svn-buildpackage (0.6.23) unstable; urgency=high

  * urgency high since it fixes a serious bug
  * upload to unstable after the testing period in experimental
  * s-b: minor clean up
  * s-u: replace $version with $upsVersion to avoid confusion with
    $SDCommon::version
  * s-b: add --svn-rm-prev-dir that instructs s-b to remove previous build
    directories instead of creating an .obsolete. directory out of it; this
    option is less prioritary than --svn-reuse (Closes: 414353)
  * do not try to boldify on shells without the enviroment variable TERM
    set (Closes: #443635)
  * fix the format and name of the NEWS file
  * s-i: redefine $TMPDIR to be '.' if the default $TMPDIR does not
    allow execution (Closes: 448808)
  * s-b: remove duplicate information for --svn-tag in svn-
    buildpackage(1) (Closes: 449291)
  * s-b man page: layout information is exported to the environment
    (Closes: 436130)
  * make svn-buildpackage scripts less/in- sensitive to locale
    (Closes: 415192)
  * added Vcs-* fields since now they are official fields
  * explicitly Build-Depend on docbook to be sure the DTD is always
    present (Closes: 450454)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sat, 10 Nov 2007 14:38:55 +0200

svn-buildpackage (0.6.22) experimental; urgency=low

  [ Eddy Petrișor ]
  * upload to experimental
  * IMPORTANT: changed default behaviour of saving the configuration in
    .svn/deb-layout by default to avoid stale data to override the
    configuration options that were updated in the repository.
    (Closes: #414581)
    As a consequence, a new option --svn-savecfg was added to allow a
    mechanism for easily overriding options locally
    The priority of the layout information should now be imported in the
    following order:
    properties -> debian/svn-deblayout -> .svn/deb-layout -> command line

  [ Gonéri Le Bouder ]
  * SDCommon::sd_exit: read the parameter correctly is SDCommon::nosave=1
    (Closes: #428225)

  [ Eddy Petrișor ]
  * s-u: when importing options from ~/.svn-buildpackage.conf, filter in
    only the valid options (Closes: #428689)
  * s-u: replace retcode with retval for consistency with svn-bp
  * s-i: manpage still claimed layout 2 was not implmented (Closes: #433404)
  * s-i: now really supports injects for layout 2 (with the disadvantage of
    not creating the tag directory)
  * s-i: no longer fails on initial checkout (Closes: 411666)
  * when using origUrl, make sure the origDir exists before downloading
    in it
  * s-i: man page: document the missing -o option (Closes: 419996, 435746)
  * s-u: complete the man page synopsis section (Closes: 436133)
  * s-b: do not require the build deps to be present when exporting
    (Closes: 423487); thanks Stefano Zacchiroli for the patch
  * SDcommon.pm: enhance the guessing algo of the layout to make svn-upgrade
    guess correctly on layout 2 repos; thanks Gregor Herrmann for the patch
    (Closes: 434932)
  * Makefile: the version of the package is placed quoted in "SDCommon.pm" so
    that versions like "0.6.22~bpo40+1" don't cause s-b to barf
  * s-i: fix 'Use of unitialized value at line 142'; patch thanks to
    Jeremiah Foster; (Closes: 436554)
  * SDCommon.pm: renamed function "such" to "search", not everybody knows
    German ;-)
  * s-b,s-i : add support for a custom SDCommon.pm used from the current
    directory (option is --svn-dbgsdcommon and --dbgsdcommon, respectively);
    for obvious reasons this option is not documented
  * s-b: some whitespace fixes
  * SDCommon.pm: implemented a function that emulates a 'mkdir -p'
    functionality for svn; this will allow an extended fix for #434932, not
    only the current work around
  * s-i: based on the mkdir-p functionality create missing directories on
    inject (Closes: 433536, 408690, 443923)
  * s-b: ditto for tag, retag operations (Closes: 429024)
  * do not ignore make clean errors anymore (makes a lintian warning go away)
  * remove duplicate call to debiandoc2pdf in doc/Makefile
  * s-i: abstracted more the layout information; this will make it possible
    to have an arbitary layout specified via overrides
  * added a NEWS file
  * add build depends on 'gs-gpl | gs' to prevent an ugly error message during
    the creation of HOWTO.pdf (debiandoc just recommends the package)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sun, 14 Oct 2007 14:03:49 +0300

svn-buildpackage (0.6.21) unstable; urgency=low

  * add missing dependency on liburi-perl (needed by svn-upgrade)
  * if --svn-noautodch is used, do not display a misleading message
    (Closes: #419231)
  * svn-upgrade: propagate the error code that debchange returns
  * svn-upgrade: import configuration options from ~/.svn-buildpackage.conf
  * svn-upgrade: renamed option no-changelog-entry to noautodch since is
    easier to process and easier to remember if is the same for svn-up and
    svn-bp (Closes: #419231)
  * svn-buildpackage: when using svn-only-tag in conjunction with no-autodch,
    do not ignore the later (Closes: #419231)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon,  4 Jun 2007 15:38:44 +0300

svn-buildpackage (0.6.20) unstable; urgency=low

  * remove fsh from Suggests (Closes: 425991)
  * fix build dependency on texlive-latex-extra (Closes: #425933)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon, 28 May 2007 16:37:33 +0300

svn-buildpackage (0.6.19) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Fix two warnings about masked variables %tmp and $ctx (Closes: #419004)
  * Ignore build depends wtih --svn-tag-only. Thanks Tony Mancill (Closes: #369313)
  * Manpages: Fix refers to svn-buildpackage as command name (Closes: #421610)

  [ Eddy Petrișor ]
  * remove erroneous information about layout 2 support not being implemented
    in svn-inject
  * sanitize directory name before displaying (Closes: 419005)
  * when svn-do does not have any parameters, run $SHELL; if $SHELL is not
    defined, define it as /bin/bash before running $SHELL (Closes: 421681)

  [ Eduard Bloch ]
  * Disable the use of diagnostics, causes more confusion than good
  * added proper texlive build-dependendency

 -- Eduard Bloch <blade@debian.org>  Tue, 22 May 2007 19:29:07 +0200

svn-buildpackage (0.6.18) unstable; urgency=low

  * Proper fix for file exclusion instead of Gonéri's workaround, also cares
    about files in svn_wc_status_ignored, based on the change in 0.6.16etch1
    and hints from Mike McCallister (closes: #416856)
  * changelog correction, merge with 0.6.16etch1, the last --svn-builder fix
    was mine

 -- Eduard Bloch <blade@debian.org>  Wed, 11 Apr 2007 13:35:12 +0200

svn-buildpackage (0.6.17) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Turn "use strict" on svn-upgrade, svn-buildpackage, uclean and SDCommon.pm.
    - bug found in SDCommon::url()
    $cacheUrl{$PATH} was not filled correctly because of a typo ($URl instead
    of $URL)
  * Fix: --svn-noninteractive working, variable overlap with SDCommon module
  * Fix: Symbolic links are not preserved. Applied patch by S. Wefel
    (Closes: #409309)
  * Fix: Shouldn't copy unversionned files (Closes: #414547)
  * add a dependency against unp for uclean
  * svn-upgrade, uclean, svn-inject converted to SGML

  [ Eddy Petrișor ]
  * no longer assume is ok to assign to origUrl the value of origDir (this was
    a behaviour reminiscent from the remote origDir feature), thus not making
    svn-buildpackage to try to download the orig tarball from a svn URI from
    the second build attempt
  * add a small contrib script to allow easy transition from
    debian/svn-deblayout to svn properties which keep the layout info
  * added a bash_completion script for the svn-buildpackage command
  * fixed some typos spotted by Oleksandr Moskalenko, thanks (Closes: #416710)

  [ Eduard Bloch ]
  * new option: --svn-noautodch and --no-changelog-entry in svn-upgrade to
    avoid automatic changelog entry generation (Closes: #415186, #347322)
  * reordered the svn-bp help output
  * updated manpages, more automatic generation of the manual
  * semantic fixes for modification of read-only value and undefined value use
    in package file list
  * Makefile fixes
  * Fix: svn-buildpackage does not allow passing of command line arguments
    to --svn-builder (Closes: #405437, #406811, #408696)

 -- Eduard Bloch <blade@debian.org>  Wed, 11 Apr 2007 12:41:54 +0200

svn-buildpackage (0.6.16) unstable; urgency=medium

  [ Eddy Petrișor ]
  * now is possible to store svn-deblayout information in Subversion
    properties - namespace is svn-bp:* (Closes: #373295, #377411)
  * add depends on file (Closes: #397611)
  * add support for origUrl (adds also a dependency on wget)
    (Closes: #377880)

  [ Gonéri Le Bouder ]
  * add --svn-noninteractive to turn off interactive mode (Closes: #349979)

  [ Eduard Bloch ]
  * svn_load_dir replacement implemented (closes: #399661, #398185), dropped
    dependency on subversion-tools. This also solves the user confusion
    because of its bizzare output and error handling (closes: #351653)
  * running custom build command trough a shell (closes: #376278)
  * disabled some postprocessing sugar with custom build command, makes
    more problem then it's worth (closes: #381377). If you use custom
    commands, please do also the post-processing. It is even documented (now
    also about --svn-linda, closes: #335239). People, please, DO SOME RTFM, it
    is not that hard.
  * more carefull checks for UNRELEASED tags in debian/changelog
  * made the the build-dep checking helper ineffective when prebuild hook is
    used (closes: #340396)
  * moved the clean command after build-dep check (closes: #348833)
  * tested bzip2 support in svn-inject (closes: #388567)
  * print the actuall svn command to show which repository is beeing accessed
    when probing around (closes: #396464). This may have caused Sven's
    confusion as well (closes: #327180, reopen if you have new information).
  * added a frontend script from Loïc Minier to
    /svn-buildpackage/usr/share/svn-buildpackage/contrib (closes: #389941)
  * manpage fixes and updates by Ted Percival (closes: #374805)
  * exclusion of upstream branch if definitely no files there are modified and
    explicit exclusion with --no-branches, based on a patch from Thierry
    Reding (closes: #345616)
  * Layout type 2 support based on patch from Steve Kowalik (closes: #338389)
  * carefully weed out empty arguments before exporting (closes: #334608)
  * now really use Q as the default answer at the failure-checking prompt,
    patch by Julian Gilbey (closes: #320679, #351611, #342260)
  * switched positions of copy commands in PRINCIPLES fixed, thanks to Thijs
    Kinkhorst (closes: #376583)
  * included some more language fixes (closes: #403066) and mentioned the SSH
    connection caching in the manual
  * Corrected the trunk/.svn/svn-buildpackage.conf path in the manpage
    (closes: #359673). That is enough, I see no good reason for adding a
    fallback to trunk/.svn/.svn-buildpackage.
  * alternative lookup in main tags directory when building in
    .../branches/... (closes: #399646)
  * removed the reference to the svnbook copy in Debian packages
    (closes: #347854) which has been removed because of licensing issues

 -- Eduard Bloch <blade@debian.org>  Tue, 26 Dec 2006 16:01:17 +0100

svn-buildpackage (0.6.15) unstable; urgency=low

  [ Eduard Bloch ]
  * made -svn-reuse imply --svn-dont-purge for obvious reasons
  * more meaningful message if debian/changelog's first entry is broken
  * "use links where possible" message improved
  * changed dependency from libsvn-core-perl to libsvn-perl (closes: #394823)
  * svn-upgrade: simplier hash var quoting in messages
  * svn-upgrade: create the orig tarballs dir if it doesn't exist

  [ martin f. krafft ]
  * applied patch by Sergei Golovan to fix prevent modification of read-only
    $arch variable (closes: #370227).
  * make --svn-move also move the orig.tar.gz file if it's not listed in the
    changes file (closes: #377404).
  * also perform --svn-move if using a custom builder. If the custom builder
    you use does not drop the generated files to the build-area directory,
    well, don't use --svn-move. The summary will only be displayed if the
    changes file can be found.
  * move all changes files, not just the arch-specific one.

 -- Eduard Bloch <blade@debian.org>  Tue, 24 Oct 2006 09:21:28 +0200

svn-buildpackage (0.6.14) unstable; urgency=low

  * made the .changes file lookup code more robust, not failing on missing
    file, trying to find it if a custom build command was specified and not
    confusing people with incorrect messages otherwise
    (closes: #334690, #335239)
  * ignoring return code of linda untill a proper solution has been found
    (closes: #334749. Who the .... gets the idea of encoding regular return
    values in application return code :-( )
  * not checking build-deps when tagging only (closes: #334008)

 -- Eduard Bloch <blade@debian.org>  Sun, 23 Oct 2005 03:56:53 +0200

svn-buildpackage (0.6.13) unstable; urgency=low

  * using an explicite variable for the config file choice, still no idea why
    Perl was confused there (closes: #333467)
  * made svn-inject --do-like respect the other options (closes: #333697)
  * first usage of libsvn-core-perl to get a clean list of files, allows to
    do it without network connection (closes: #333573) and without the need to
    deal with usernames in the output (closes: #333544)
  * typo in a version check in the summary output (closes: #333786)

 -- Eduard Bloch <blade@debian.org>  Thu, 13 Oct 2005 21:14:02 +0200

svn-buildpackage (0.6.12) unstable; urgency=low

  * no longer using "svn status -v", unreliable output on usernames with
    spaces (closes: #333215)
  * not constructing the summary when a custom command is used and trying to
    read the _source.changes file (closes: #329949)
  * additional config file lookup in .svn/svn-buildpackage.conf, allows to set
    custom options for each package basis (closes: #329914)
  * not running clean in mergeWithUpstream mode, let's whether somebody
    becomes bothered by this behaviour (closes: #328403)
  * documented --svn-ignore and --svn-reuse (closes: #332585)
  * option for checks with linda, parallel to lintian (closes: #332639)

 -- Eduard Bloch <blade@debian.org>  Tue, 11 Oct 2005 12:55:13 +0200

svn-buildpackage (0.6.11) unstable; urgency=low

  * deal with multiple files in an upstream tarball, patch by Charles Fry
    (closes: #321711)
  * added a clean rule call in svn-inject to "fix" the contents of "dirty"
    source (closes: #320071)
  * fixed the sample propset command documentation for mergeWithUpstream
    mode (closes: #328398)
  * added a check for the deb:ignoreM property to ignore changes on selected
    files (closes: #317028)

 -- Eduard Bloch <blade@debian.org>  Fri, 23 Sep 2005 16:21:05 +0200

svn-buildpackage (0.6.10) unstable; urgency=low

  * uclean also kills all config.status and config.log files
  * made the help message appear before the sanity checks in the init phase if
    -h is present (closes: #320086)
  * mergeOn -> mergeWith in svn-inject.1 and manual (closes: #325029)
  * typo in the hints message fixes (closes: #320596)
  * svn-upgrade and svn-inject always remove temp dirs on exit now
    (closes: #317850)
  * correct version detection on new upstream tarballs with hyphens in the
    version string

 -- Eduard Bloch <blade@debian.org>  Sun, 11 Sep 2005 13:11:45 +0200

svn-buildpackage (0.6.9) unstable; urgency=low

  * using "cp" for .orig.tar.gz copying again, more reliable

 -- Eduard Bloch <blade@debian.org>  Wed, 22 Jun 2005 22:58:16 +0200

svn-buildpackage (0.6.8) unstable; urgency=low

  * updated README.Debian and pointed at HOWTO there (closes: #310997)
  * fixed some old quick&dirty code in the dsc parser and file location, now
    should work with symlinks and do a real copy (closes: #315385)
  * added a special case for French i18n in svn output parser (closes: #315232)

 -- Eduard Bloch <blade@debian.org>  Wed, 22 Jun 2005 22:52:43 +0200

svn-buildpackage (0.6.7) unstable; urgency=low

  * respecting epoch numbers in svn-upgrade, patch by Reed
    Snellenberger <rsnellenberger AT houston.rr.com> (closes: #305626)

 -- Eduard Bloch <blade@debian.org>  Thu, 21 Apr 2005 20:16:44 +0200

svn-buildpackage (0.6.6) unstable; urgency=low

  * another bug with dolike fixed, exporting the source to the correct
    directory on relative path names

 -- Eduard Bloch <blade@debian.org>  Tue, 29 Mar 2005 18:16:38 +0200

svn-buildpackage (0.6.5) unstable; urgency=medium

  * fixed a bug in the new dolike option file parser

 -- Eduard Bloch <blade@debian.org>  Tue, 29 Mar 2005 18:12:54 +0200

svn-buildpackage (0.6.4) unstable; urgency=low

  * dolike function now also recognises the merge mode
  * calling the builder command trough the fallback-prompt wrapper now
  * now export some usefull environment variables, most similar to
    cvs-buidlpackage, and documented how to use it with existing hook
    commands, eg. to fetch upstream source from the pool (closes: #291626)

 -- Eduard Bloch <blade@debian.org>  Tue, 29 Mar 2005 03:22:04 +0200

svn-buildpackage (0.6.3) unstable; urgency=low

  * fixed the linkcopy method to not pull .svn directories into the target
    area (sorry people, really! closes: #301382)

 -- Eduard Bloch <blade@debian.org>  Fri, 25 Mar 2005 15:52:16 +0100

svn-buildpackage (0.6.2) unstable; urgency=low

  * RECOMMENDATIONS section in svn-buildpackage.1
  * --svn-reuse feature in s-b, reuses the old build directory
  * simplified linkcopy code and fixed some unneeded system() shell
    invocations, also more robust to paths with spaces now
  * experimental: simple shortening message shortening algorithm on command
    invocations
  * fixed erraneous "autodetecting..." message printing

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Mar 2005 13:04:22 +0100

svn-buildpackage (0.6.1) unstable; urgency=medium

  * added shell expansion to config file processing and added example for
    overriding tarball directory (closes: #296150)
  * added the --svn-export which does pure export&merge (closes: #294955)
  * added the --do-like (-d) option to svn-inject

 -- Eduard Bloch <blade@debian.org>  Wed, 16 Mar 2005 18:23:05 +0100

svn-buildpackage (0.6) unstable; urgency=low

  * importing default configuration parts from the file debian/svn-deblayout
    if found and .svn/deb-layout does not exist (closes: #291662)
  * new option: --svn-retag to remove a possibly existing tag copy before
    tagging (closes: #297222)
  * updated svn-buildpackage manpage, also explained --svn-no-links
    (closes: #299085)
  * manual updates: svnserver -> svnserve (closes: #291660), fixed
    obsolete/broken links or replaced with references
    (closes: #291659, #293984), typo fix and more verbose merge
    mode description by Emanuele Rocca (closes: #293241)

 -- Eduard Bloch <blade@debian.org>  Tue, 15 Mar 2005 16:27:15 +0100

svn-buildpackage (0.5.12) unstable; urgency=low

  * Parse file lists with spaces in filenames correctly (closes: #291241)
  * programs now export SVN_BUILDPACKAGE containing svn-buildpackage package
    version (closes: #288300)

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Jan 2005 22:24:57 +0100

svn-buildpackage (0.5.11) unstable; urgency=low

  * reverted the parsing order for command-line options and those from
    .svn-buildpackage.conf (allowing to override the presets, closes: #283150)
  * fixed usage of the custom orig storage directory (closes: #288252,#288261)
  * changed tar x to tar -x since it no longer works with current gtar
    versions if some argument precedes x (closes: #288254)

 -- Eduard Bloch <blade@debian.org>  Sun, 02 Jan 2005 21:05:04 +0100

svn-buildpackage (0.5.10) unstable; urgency=low

  * svn-inject: remove trailing slash from the URL to not confuse
    svn_load_dirs (closes: #270873)
  * svn-inject: not trying to write config if trunk is not to be checked out
  * s/svn-uupdate/svn-upgrade/g in control, README.Debian (closes: #267716)
  * documented the --svn-override optios which is useful to (guess what)
    override config directives from .svn/deb-layer or autodetected settings
    (closes: #271808)
  * wrote minimalistic manpage for uclean

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Oct 2004 11:53:44 +0200

svn-buildpackage (0.5.9) unstable; urgency=medium

  * more UNRELEASED dist changes
  * version does not break on _ somewhere in the path name (closes: #264362)
  * fixes the svn-move bug with forgetting components (closes: #258599)

 -- Eduard Bloch <blade@debian.org>  Wed, 18 Aug 2004 12:59:14 +0200

svn-buildpackage (0.5.8) unstable; urgency=low

  * additional setting of the target distribution to UNRELEASED for the
    next revision changelog entries (closes: #257288)
  * very experimental option to pass the diff contents extracted from the
    repository to dpkg-source (requires patched dpkg-source, see
    http://bugs.debian.org/246918 for details)

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Jun 2004 11:39:01 +0200

svn-buildpackage (0.5.7) unstable; urgency=low

  * disabled the upstream source export (closes: #252123), it was a really bad
    idea to implement this cludge and enable it as default fallback. The
    behaviour can be still enforced by setting $FORCEEXPORT.
  * not aborting s-b if .changes file could not be found (closes: #254048)
  * s-u: more carefull external command invocation to work with spaces in path
    names
  * s-b: new switch to temporarily override config variables and --svn-move-to
    to specify the target directory
  * more verbose messages in mergeWithUpstream mode

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Jun 2004 11:38:30 +0200

svn-buildpackage (0.5.6) unstable; urgency=low

  * Fixed uclean to match invidiual files in CVS/... correctly
  * wrote a "quick guide" in the manual
  * s-u: abort if the new tarball already exists in ../tarballs

 -- Eduard Bloch <blade@debian.org>  Thu, 20 May 2004 18:31:59 +0200

svn-buildpackage (0.5.5) unstable; urgency=low

  * s-b: made the dependency check helper only run when no custom build
    command is set and -d switch is not used (closes: #249507)
  * s-b: always remove target directory before trying to export into it
    (closes: #248040)
  * s-b: don't try to export upsteam source from repository in
    mergeWithUpstream mode, show a meaningful failure message instead
  * s-u: accept debianized .orig.tar.gz tarballs as upstream source

 -- Eduard Bloch <blade@debian.org>  Sat,  8 May 2004 14:45:43 +0200

svn-buildpackage (0.5.4) unstable; urgency=low

  * svn-buildpackage.conf parser redesigned, accepts any command line options
    now. Documentation updated.

 -- Eduard Bloch <blade@debian.org>  Thu,  6 May 2004 18:39:05 +0200

svn-buildpackage (0.5.3) unstable; urgency=low

  * Fixed broken logics in tarball copy function

 -- Eduard Bloch <blade@debian.org>  Sun,  2 May 2004 20:37:45 +0200

svn-buildpackage (0.5.2) unstable; urgency=low

  * workarounds to support buggy source packages that come without primary
    subdirectory in the upstream tarball (closes: #246120)
  * fall back to upstream source export if no .orig.tar.gz tarball has been
    found (closes: #245344)
  * more useful log messages (closes: #246625)
  * checks for conflicting .svn dirs in svn-inject and svn-upgrade
    (closes: #238067)
  * manpage updates (closes: #237911, #246849)
  * remove all undefined arguments when calling programs (closes: #246624)
  * BIG WARNING about the dangerous permission set changes with the
    post-commit script (closes: #240630)
  * more verbose introduction to the version control systems in the manual
  * "svn cp -l" replacement works also with uncommited files now
  * less useless checks in the configure step, now staring faster
  * exit early if dpkg-checkbuilddeps fails

 -- Eduard Bloch <blade@debian.org>  Tue,  9 Mar 2004 15:49:02 +0100

svn-buildpackage (0.5.1) unstable; urgency=low

  * svn-upgrade: added --upstream-version as alias for -V (closes: #237054)
  * Rewrote parts of the manual to suggest svn.d.o instead of alioth.d.o in
    the URLs

 -- Eduard Bloch <blade@debian.org>  Tue, 09 Mar 2004 15:47:27 +0100

svn-buildpackage (0.5) unstable; urgency=low

  * Build-Depends on tetex-extra (closes: #233172)
  * New feature: control prompt after failed command calls

 -- Eduard Bloch <blade@debian.org>  Sat, 14 Feb 2004 15:38:39 +0100

svn-buildpackage (0.4.7) unstable; urgency=low

  * Made svn-inject abort in the beginning if the target directory already
    exists
  * Marking auto-executed svn actions with [scriptname]

 -- Eduard Bloch <blade@debian.org>  Sat, 14 Feb 2004 01:04:05 +0100

svn-buildpackage (0.4.6) unstable; urgency=low

  * Not passing undefined args to external calls, this could confuse
    Subversion under certain circumstances (Closes: #232219)
  * Not setting executable property on debian/rules explicitely, svn_load_dirs
    does it already
  * experimental workarounds for Woody's Perl
  * clean function in svn-uupgrade to remove debian/ dirs and run general make
    clean in the new source
  * Suggesting the fsh package - always a good idea compared to pure SSH
    commands, especially since svn_load_dirs calls it a lot of times

 -- Eduard Bloch <blade@debian.org>  Thu, 15 Jan 2004 14:04:57 +0100

svn-buildpackage (0.4.5) unstable; urgency=low

  * svn-inject specifies new config file explicitely
  * svn-buildpackage: dont-purge option implemented
  * manual shows an example of how the local directories may look

 -- Eduard Bloch <blade@debian.org>  Sat, 10 Jan 2004 17:28:18 +0100

svn-buildpackage (0.4.4) unstable; urgency=low

  * svn-buildpackage: unconfused for nested section names in DEB file listing
  * svn-inject: don't try to copy .orig. file when there was none
    (wrong placed file path expansion)

 -- Eduard Bloch <blade@debian.org>  Thu,  8 Jan 2004 17:02:38 +0100

svn-buildpackage (0.4.3) unstable; urgency=low

  * svn-buildpackage manages epoch'ed Debian revision right (closes: #225534)

 -- Eduard Bloch <blade@debian.org>  Tue,  6 Jan 2004 11:05:15 +0100

svn-buildpackage (0.4.2) unstable; urgency=low

  * Fixed stupid check for source beeing a file introduced in 0.4.1
  * Fixed various stupid bugs that became visible in the mergemode
  * Fixed returned error code in sd_exit()

 -- Eduard Bloch <blade@debian.org>  Wed, 24 Dec 2003 00:23:10 +0100

svn-buildpackage (0.4.1) unstable; urgency=low

  * svn-upgrade: don't look at the suffix in regexp when working on directory
    as input

 -- Eduard Bloch <blade@debian.org>  Sun,  7 Dec 2003 22:27:37 +0100

svn-buildpackage (0.4) unstable; urgency=low

  * package renamed for consitency with *-buildpackage:
    svn-devscripts -> svn-buildpackage
    svn-uupdate -> svn-upgrade
    svn-debuild waits for beeing created by Julian Gilbey  (closes: #220733)
  * moved SD.pm to /usr/share/svn-devscripts/SDCommon.pm (closes: #220736)
  * svn-upgrade no longer recompresses upstream tarballs, leaving it on
    maintainers choice
  * new options:
    --svn-move: move the package files (.changes and components listed
    therein) to <startdir>/..
    --svn-builder <cmd>: alternative build command, eg. debuild, pdebuild
    (closes: #220739, #217934)
  * Code cleanups and feature improvements:
    + svn-upgrade accepts source directories
    + svn-upgrade got the -r option to resolve conflicts quickly ;)
    + improved sync of detected settings with .svn/deb-layout on exit

 -- Eduard Bloch <blade@debian.org>  Tue, 28 Oct 2003 18:16:15 +0100

svn-devscripts (0.3.4) unstable; urgency=low

  * Resolve orig file links and absolut path while using it (closes: #217977)
  * Package description improvements
  * NEW: --svn-only-tag option for svn-buildpackage
  * added check for directory existance before working with settings from
    .svn/deb-layout, otherwise URL detection may become crazy

 -- Eduard Bloch <blade@debian.org>  Mon, 13 Oct 2003 11:56:44 +0200

svn-devscripts (0.3.3) unstable; urgency=low

  * Added dependency on subversion-tools
  * Catching the upstream version before resolving the *orig* file location
    which could broke on links (thanks to Sami Haahtinen)
  * correct encoded characters from included mails in PRINCIPLES
    (closes: #215272)

 -- Eduard Bloch <blade@debian.org>  Sun,  5 Oct 2003 14:03:37 +0200

svn-devscripts (0.3.2) unstable; urgency=low

  * Warning on forgotten not-released-yet tags (*sic*)
  * Cleanup in config references
  * svn-uupdate keeps the Debian source package name while renaming
    the new orig tarball
  * Link-where-possible: svn-buildpackage tries to copy the directory using
    symlinks instead of "svn export"

 -- Eduard Bloch <blade@debian.org>  Sun,  5 Oct 2003 11:06:13 +0200

svn-devscripts (0.3.1) unstable; urgency=low

  * merge-with-upstream check now looks for the mergeWithUpstream subversion
    property of the debian directory.

 -- Eduard Bloch <blade@debian.org>  Thu,  2 Oct 2003 14:50:05 +0200

svn-devscripts (0.3) unstable; urgency=low

  * rework of the checkout code in svn-inject, and verbosity control
  * clean call fixed, merge-with-upstream mode enabling check fixed to not
    produce false positives

 -- Eduard Bloch <blade@debian.org>  Thu,  2 Oct 2003 10:04:19 +0200

svn-devscripts (0.2) unstable; urgency=low

  * s/Url/URL/ in svn-0.30 output, fixed parser where needed
  * documentation updates

 -- Eduard Bloch <blade@debian.org>  Wed,  1 Oct 2003 13:30:21 +0200

svn-devscripts (0.1.11) unstable; urgency=low

  * Minor bug-fixes
  * merge-with-upstream mode in svn-inject and svn-uupdate now work cleanly

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Sep 2003 23:59:22 +0200

svn-devscripts (0.1.10) unstable; urgency=low

  * FIXES, lots of small fixes for minor bugs

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Sep 2003 21:34:33 +0200

svn-devscripts (0.1.9) unstable; urgency=low

  * BUUGs, first real BUUGS
  * typo in svn-inject code on $opt_changedonly
  * check for changed files fixed

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Sep 2003 21:19:20 +0200

svn-devscripts (0.1.8) unstable; urgency=low

  * Complete overhaul:
    - svn-inject is rewritten in Perl; removed useless experimental features
      and improved existing
    - Tools allow better customisation trough .svn/deb-layout file
  * customizable pre/post-tag/build actions
  * fixed wrong hyphens in manpages
  * Section "KNOWN BUGS" in svn-inject.1
  * If you find bugs, report them through BTS instead of draging in the
    mud on -devel

 -- Eduard Bloch <blade@debian.org>  Fri,  5 Sep 2003 12:01:36 +0200

svn-devscripts (0.1.7) unstable; urgency=low

  * Fixed adding of changelog entry to the non-dsaus mode
  * More visible success note svn-buildpackage

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Sep 2003 19:42:31 +0200

svn-devscripts (0.1.6) unstable; urgency=low

  * In "deb-source-as-upstream-source" mode:
    + svn-inject and svn-uupdate add "+mod.1" to the Debian revision in
    + new switch "-o" for cvs-inject to create upstream branch only with files
      modified by the Debian diff
  * svn-buildpackage: fix the clean call before checks

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Sep 2003 10:45:21 +0200

svn-devscripts (0.1.5) unstable; urgency=low

  * svn-buildpackage: Fixed purging of build directory on Debian native packages
  * svn-inject: s/orig.tar.gz/tar.gz/ in pattern matching on $origfile
  * added README.Debian, PRINCIPLES with excerpts of the debian-menthors
    discussion thread

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Sep 2003 09:47:48 +0200

svn-devscripts (0.1.4) unstable; urgency=low

  * Fixed wrong grep in svn-buildpackage, allowing to continue on uncommited
    files

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Sep 2003 04:03:59 +0200

svn-devscripts (0.1.3) unstable; urgency=low

  * Inject and uupdate now work with debian-source as upstream source
  * Don't install tarball if tarball/ isn't registred

 -- Eduard Bloch <blade@debian.org>  Tue,  2 Sep 2003 15:21:46 +0200

svn-devscripts (0.1.2) unstable; urgency=low

  * Extended svn-uupdate and svn-buildpackage to work on single-package
    directory structure and many other fixes
  * Fixed description typo
  * Changed version to native Debian package

 -- Eduard Bloch <blade@debian.org>  Tue,  2 Sep 2003 02:03:34 +0200

svn-devscripts (0.1-1) unstable; urgency=low

  * Initial Release, closes: #208228

 -- Eduard Bloch <blade@debian.org>  Mon,  1 Sep 2003 17:47:15 +0200
